/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/

.post-area .row .col h1,
.material .wpb_text_column h1,
.row .col .wpb_text_column h1 { margin-bottom: 24px; }

.post-area .row .col h2,
.material .wpb_text_column h2,
.row .col .wpb_text_column h2 { margin-bottom: 22px; }

.post-area .row .col h3,
.material .wpb_text_column h3,
.row .col .wpb_text_column h3 { margin-bottom: 20px; }

.post-area .row .col h4,
.material .wpb_text_column h4,
.row .col .wpb_text_column h4 { margin-bottom: 20px; }

.post-area .row .col h5,
.material .wpb_text_column h5,
.row .col .wpb_text_column h5 { margin-bottom: 1em; }

.post-area .row .col h6,
.material .wpb_text_column h6,
.row .col .wpb_text_column h6 { margin-bottom: 1em; }

.post-area .row .col p,
.material .wpb_text_column p,
.row .col .wpb_text_column p { padding-bottom: 1em; }

.material .wpb_text_column p:last-child,
.row .col .wpb_text_column p:last-child { margin-bottom: 30px; }

.row .col .wpb_text_column blockquote,
.row .col .post-area .type-post blockquote { margin-bottom: 1em; }
.row .col .wpb_text_column ul,
.material .wpb_text_column ul,
.row .col .post-area .type-post ul { margin-bottom: 1em; }
.row .col .wpb_text_column ul li,
.material .wpb_text_column ul li,
.row .col .post-area .type-post ul li { padding-bottom: 0.3em; }


.nectar-post-grid-wrap[data-style="content_under_image"] .nectar-post-grid-item-bg-wrap { border-radius: 15px 0 0 15px; }

.nectar-post-grid-wrap[data-style="content_under_image"] .nectar-post-grid[data-lock-aspect="yes"] .nectar-post-grid-item-bg img { filter: grayscale(80%); transition: filter 0.5s ease; }

.nectar-post-grid-wrap[data-style="content_under_image"] .nectar-post-grid[data-lock-aspect="yes"] .nectar-post-grid-item:hover .nectar-post-grid-item-bg img { filter: grayscale(0%); }

#top .sf-menu > li.nectar-regular-menu-item > a > .nectar-menu-icon,
#header-outer.dark-slide #top .sf-menu > li.nectar-regular-menu-item > a > .nectar-menu-icon { color: #000; }

#header-outer.dark-slide #top .sf-menu > li.nectar-regular-menu-item > a:hover > .nectar-menu-icon { color: #A1011A; }

#clients .nectar-flickity:not(.masonry) .flickity-slider .cell[data-lazy="true"] img { filter: grayscale(80%); transition: filter 0.5s ease; }
#clients .nectar-flickity:not(.masonry) .flickity-slider:hover .cell[data-lazy="true"] img { filter: grayscale(0%); }

body #video-accueil-2 .nectar-video-bg { filter: grayscale(100%); -webkit-filter: grayscale(100%); }

/* 2. Adaptation automatique au Dark Mode du système */
@media (prefers-color-scheme: dark) {

  body #video-accueil-2 .row-bg-overlay,
  body #realisations .row-bg-overlay { --bg-gradient: radial-gradient(circle at right, rgba(0,0,0,0.6) 11%, rgba(0,0,0,0.65) 68%) !important; }

}

/* 3. Forcer le mode via une classe (pour le bouton JS) */
body.dark-theme #video-accueil-2 .row-bg-overlay,
body.dark-theme #realisations .row-bg-overlay,
body.dark-theme #pied-de-site .row-bg-overlay { --bg-gradient: radial-gradient(circle at right, rgba(0,0,0,0.6) 11%, rgba(0,0,0,0.65) 68%) !important; }
body.dark-theme #video-accueil-2 .nectar-video-bg { filter: grayscale(100%); -webkit-filter: grayscale(100%); }

body.light-theme #video-accueil-2 .row-bg-overlay,
body.light-theme #realisations .row-bg-overlay,
body.light-theme #pied-de-site .row-bg-overlay { --bg-gradient: radial-gradient(circle at right, rgba(160,160,160,0.8) 11%, rgba(120,120,120,0.85) 68%); }
body.light-theme #video-accueil-2 .nectar-video-bg { filter: grayscale(100%); -webkit-filter: grayscale(100%); }

/* État par défaut (Light) */
/*body {
    background: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
    transition: background 0.4s ease;
}*/

/* État Dark */
body.dark-theme #video-accueil-2 .row-bg-overlay,
body.dark-theme #realisations .row-bg-overlay,
body.dark-theme #pied-de-site .row-bg-overlay { background: radial-gradient(circle at right, rgba(0,0,0,0.6) 11%, rgba(0,0,0,0.65) 68%) !important; }

/* Application sur votre div */
/*#video-accueil-2 .row-bg-overlay {
  background: radial-gradient(circle at right, rgba(198,196,197,0.8) 11%, rgba(120,120,120,0.85) 68%);
  transition: background 0.3s ease;
}*/

body.single #ajax-content-wrap .meta-category,
body.category .post-area.featured_img_left article .meta-category a { display: none;}